# OpenLayers.Control.EditingToolbar

The EditingToolbar is a panel of 4 controls to draw polygons, lines, points, or to navigate the map by panning. By default it appears in the upper right corner of the map.

#### Inherits from

- OpenLayers.Control.Panel

Summary

OpenLayers.Control.EditingToolbar | The EditingToolbar is a panel of 4 controls to draw polygons, lines, points, or to navigate the map by panning.
Properties |
citeCompliant | {Boolean} If set to true, coordinates of features drawn in a map extent crossing the date line won’t exceed the world bounds.
Constructor |
OpenLayers.Control.EditingToolbar | Create an editing toolbar for a given layer.
Functions |
draw | calls the default draw, and then activates mouse defaults.

### Properties

### citeCompliant

{Boolean} If set to true, coordinates of features drawn in a map extent crossing the date line won’t exceed the world bounds. Default is false.

### Constructor

### OpenLayers.Control.EditingToolbar

Create an editing toolbar for a given layer.

#### Parameters

layer | {OpenLayers.Layer.Vector}
options | {Object}

### Functions

### draw

> draw: function()

calls the default draw, and then activates mouse defaults.

#### Returns

{DOMElement}

> draw: function()

calls the default draw, and then activates mouse defaults.
The Panel control is a container for other controls.
Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.
Close